#include <stdio.h>
#include <stdlib.h>

typedef struct board{
    int rows;
    int cols;
    char* game;
} board;

typedef struct state{
    int nb_light;
    int* light_pos;
} state;


void print_board(board b);
board add_light(board b,state s,int pos);
board fill_board(board b,state s);
int check(board b, state s);
int is_solved(board b, state s);
int next_pos(board b, state s, int pos);
int solve(board b);


int main(int argc, char *argv[]){
    board b;
    int i,row, col, size;
    char c;
    FILE *input = fopen(argv[1], "r");
    if (!input)
        exit(1);
    fscanf(input, "%d %d", &col, &row);
    b.rows=row;
    b.cols=col;
    size=row*col;
    b.game=malloc(size*sizeof(char));
    i=0;
    while ((i<size) && ((c=fgetc(input)) != EOF)){
        b.game[i]=c;
        i++;
    }
    fclose(input);
    //solve(b);
    return 0;
}



